Publish Registry Component

POST
/api/v1/component-registry/versions

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

agentGuide?string|null
definitionJson*string
Length1 <= length
icon?|null
moduleBase64*string
Length1 <= length
panelBase64?string|null
projectId?string|null
readme?string|null
thumbnails?array<>|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/component-registry/versions" \  -H "Content-Type: application/json" \  -d '{    "definitionJson": "string",    "moduleBase64": "string"  }'
{  "bundleHash": "string",  "byteSize": 0,  "capabilities": [    "string"  ],  "componentId": "string",  "contentHash": "string",  "createdBy": "string",  "definition": null,  "hasAgentGuide": true,  "hasIcon": true,  "hasPanel": true,  "hasReadme": true,  "manifest": null,  "number": 0,  "publishedAt": "string",  "status": "ready",  "statusMessage": "string",  "thumbnailStates": [    "string"  ],  "version": "string",  "versionId": "string",  "warnings": [    "conformance-not-run"  ],  "conformance": {    "hasPassed": true,    "checks": [      {        "name": "string",        "status": "pass",        "errors": [          "string"        ],        "warnings": [          "string"        ]      }    ]  }}
{  "_tag": "Api/SdkValidationError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/ComponentNotFoundError",  "message": "string"}
{  "_tag": "Api/ComponentInvalidError",  "message": "string",  "problems": [    "string"  ]}
{  "_tag": "Api/ComponentServiceError",  "message": "string"}